API reference OpenAPI 3.1
POST /screening-profiles

Create a screening profile

Bearer API key or staff session application/json operation createScreeningProfile

Request

Content type: application/json · required

FieldTypeRequiredDescription
name string Yes —
status string No one of active, paused, archived · default "active"
config object Yes
Show 12 nested fields
FieldTypeRequiredDescription
description string No —
algorithm string No one of monichek-logic-1, yente-compat-1
datasets array of string No —
topics array of string No —
schemas array of string No —
review_threshold number No min 0 · max 100
match_threshold number No min 0 · max 100
auto_block_threshold number No min 0 · max 100
weights object No
Show 4 nested fields
FieldTypeRequiredDescription
dob number No min 0 · max 100
country number No min 0 · max 100
gender number No min 0 · max 100
address number No min 0 · max 100
name_only_review boolean No —
include_weak boolean No —
top_k integer No min 1 · max 1000
curl -X POST "$MONICHEK_API/screening-profiles" \
  -H "Authorization: Bearer $MONICHEK_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Ada Okafor",
  "status": "active",
  "config": {
    "description": "Example note",
    "algorithm": "monichek-logic-1",
    "datasets": [
      "string"
    ],
    "topics": [
      "string"
    ],
    "schemas": [
      "string"
    ],
    "review_threshold": 0,
    "match_threshold": 0,
    "auto_block_threshold": 0,
    "weights": {
      "dob": 0,
      "country": 0,
      "gender": 0,
      "address": 0
    },
    "name_only_review": true,
    "include_weak": true,
    "top_k": 1
  }
}'
const res = await fetch(`${MONICHEK_API}/screening-profiles`, {
  method: "POST",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "name": "Ada Okafor",
    "status": "active",
    "config": {
      "description": "Example note",
      "algorithm": "monichek-logic-1",
      "datasets": [
        "string"
      ],
      "topics": [
        "string"
      ],
      "schemas": [
        "string"
      ],
      "review_threshold": 0,
      "match_threshold": 0,
      "auto_block_threshold": 0,
      "weights": {
        "dob": 0,
        "country": 0,
        "gender": 0,
        "address": 0
      },
      "name_only_review": true,
      "include_weak": true,
      "top_k": 1
    }
  }),
});

const data = await res.json();
import os
import requests

res = requests.post(
    f"{os.environ['MONICHEK_API']}/screening-profiles",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
    json={
      "name": "Ada Okafor",
      "status": "active",
      "config": {
        "description": "Example note",
        "algorithm": "monichek-logic-1",
        "datasets": [
          "string"
        ],
        "topics": [
          "string"
        ],
        "schemas": [
          "string"
        ],
        "review_threshold": 0,
        "match_threshold": 0,
        "auto_block_threshold": 0,
        "weights": {
          "dob": 0,
          "country": 0,
          "gender": 0,
          "address": 0
        },
        "name_only_review": true,
        "include_weak": true,
        "top_k": 1
      }
    },
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/screening-profiles');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode([
        'name' => 'Ada Okafor',
        'status' => 'active',
        'config' => [
            'description' => 'Example note',
            'algorithm' => 'monichek-logic-1',
            'datasets' => [
                'string',
            ],
            'topics' => [
                'string',
            ],
            'schemas' => [
                'string',
            ],
            'review_threshold' => 0,
            'match_threshold' => 0,
            'auto_block_threshold' => 0,
            'weights' => [
                'dob' => 0,
                'country' => 0,
                'gender' => 0,
                'address' => 0,
            ],
            'name_only_review' => true,
            'include_weak' => true,
            'top_k' => 1,
        ],
    ]),
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Responses

201 Created created profile application/json

No response example is published for this status.

Error responses

StatusMeaningBody
403 Forbidden RFC 9457 problem
422 Unprocessable Entity RFC 9457 problem

Errors use the RFC 9457 problem format with a stable code.